---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: demo-server
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-production"
    alias-managed: "true"
    kubernetes.io/ingress.class: nginx
spec:
  rules:
    - host: demo-server-nfs-1.let.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: demo-server
                port:
                  number: 80
            pathType: Prefix
            path: /
  tls:
    - hosts:
        - demo-server-nfs-1.let.ethz.ch
      secretName: demo-server-nfs-1-ssl-cert
